Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Stop Existing Source

PUT/sources/{source_id}/stop
Authorization
AuthorizationBearer token · headerrequired
Path parameters
source_idstringrequired
Query parameters
waitboolean

When False, return 202 immediately with desired_state set to Pending Stop; the action is applied asynchronously and desired_state becomes Stopped once it completes. When True (default), wait for it.

default: true
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PUT 'https://api.streamkap.com/sources/string/stop' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Successful Response